<?php
/**
 * Template part for displaying a static front page.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Aberdeen
 */

$categories = get_categories();

foreach($categories as $category) {
	
// the query
$the_query = new WP_Query( array( 'category_name' => $category->name, 'posts_count' => 5 ) ); 

// The Loop
if ( $the_query->have_posts() ) { ?>
	<div class="category-homepage">
	<h2><?php echo $category->name; ?></h2><?php
	$post_count = 1;
	while ( $the_query->have_posts() ) {
			$the_query->the_post();
			if ( $post_count == 1 ){
				if ( has_post_thumbnail() ) {
					echo the_post_thumbnail();
				}
				echo '<p class="category-homepage-headline"><a href="' . get_the_permalink() .'" rel="bookmark">' . get_the_title() .'</a></p>';
				echo '<p class="category-homepage-excerpt">' . get_the_excerpt() . '</p>';
			} else {
			// if no featured image is found
			echo '<li><a href="' . get_the_permalink() .'" rel="bookmark">' . get_the_title() .'</a></li>';
			}
		$count = $count + 1;
		}
	} else {
	// no posts found
}
?>
</div>
<?php

/* Restore original Post Data */
wp_reset_postdata();
}