<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Aberdeen
 */
global $theme_options;
?>
	</div><!-- #content -->
	<footer id="colophon" class="site-footer" role="contentinfo">
		<div class="site-info">
			<p><?php
			if ( $theme_options['show-footer-wordpress'] == true ){ ?>
			<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'aberdeen' ) ); ?>"><?php printf( esc_html__( 'Proudly powered by %s', 'aberdeen' ), 'WordPress' ); ?></a>
			<span class="sep"> | </span>
			<?php }
			printf( esc_html__( 'Theme: %1$s by %2$s.', 'aberdeen' ), 'Aberdeen', '<a href="http://www.stevenkellow.com" rel="designer">Steven Kellow</a>' ); ?></p>
			<p>&copy; <?php echo date("Y");?>
			<?php
			switch ( $theme_options['show-footer-sitename'] ){
				case '2':
					echo '<span class="sep"> | </span>', bloginfo( 'name' );
					break;
				case '3':
					echo '<span class="sep"> | </span>', $theme_options['footer-custom-text'];
					break;
			}
			?>
			</p>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->
</div><!-- #page -->
<?php wp_footer(); ?>
</body>
</html>


