<?php
/**
 * The front page template file.
 *
 * This displays items if a static front page is chosen in Settings -> Reading.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Aberdeen
 */
global $theme_options; 

get_header(); 
	
	if ( $theme_options['show-homepage-sidebar'] == true ){ ?>
	<div id="primary" class="content-area">
	<?php } else { ?>
	<div id="primary" class="content-area-homepage">
	<?php } ?>
	<main id="main" class="site-main" role="main">
	<div class="entry-content">
		<?php the_content(); ?>
	</div>
	<?php
	if ( $theme_options['show-homepage-rp'] == true ){
	get_template_part( 'template-parts/content-front', 'recent' );
	}
	
	if ( $theme_options['show-homepage-cat'] == true ){
	get_template_part( 'template-parts/content-front', 'categories' );
	}
	?>
	</main><!-- #main -->
</div><!-- #primary -->

<?php 	get_sidebar();
		get_footer(); ?>
