<?php
/*
*  Defines single row for post data
*
*  @package Aberdeen
*/
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $theme_options;


	if ($theme_options['show-author'] == true){ ?>
	<span class="post-info single-meta-author">
	<?php echo get_avatar( get_the_author_meta( 'ID' ), 50 ); ?>&nbsp;<?php the_author_posts_link(); ?>&nbsp;</span><?php }
	
	if ($theme_options['show-post-date'] == true){ ?>
	<span class="post-info single-meta-date">
	<i class="fa fa-calendar fa-lg" title="<?php echo __("Posted on", 'aberdeen'); ?>"></i>&nbsp;<?php echo get_the_date(); ?> - <?php echo get_the_time(); ?>
	</span><?php } 
	
	if ($theme_options['show-categories'] == true){ ?>
	<span class="post-info single-meta-cat">
	<i class="fa fa-archive fa-lg" title="<?php echo __("Category", 'aberdeen'); ?>"></i>&nbsp;<?php the_category(', ') ?>
	</span><?php }
	
	$tags_list = get_the_tag_list( '', esc_html__( ', ', 'aberdeen' ) );
	if ( $tags_list && ($theme_options['show-tags'] == true) ){ ?>
	<span class="post-info single-meta-tags">
	<i class="fa fa-tags fa-lg" title="<?php echo __("Tags", 'aberdeen'); ?>"></i>&nbsp;<?php echo $tags_list; ?>
	</span><?php }
	
	if ($theme_options['show-comment-count'] == true){
		$comment_number = get_comments_number();
	if ( comments_open() && ( ! get_comments_number() == 0 ) ) { ?>
	<span class="post-info single-meta-comments" title="<?php echo __("Comments", 'aberdeen'); ?>">
	<a href="<?php comments_link(); ?>">
		<span class="fa-stack fa-2x">
			<i class="fa fa-comment fa-stack-2x"></i>
			<strong class="fa-stack-1x <?php if ( $comment_number < 1000 ){
				echo "comment-bubble";
			} elseif ( $comment_number < 10000 ){
				echo "comment-bubble-thousand";
			} else {
				echo "comment-bubble-ten-thousand";
			}?>"><?php echo $comment_number; ?></strong>
		</span>
	</a>
	</span><?php } } ?>